Bug 139011 - can not playing audio by play under sound daemons like arts or esd
can not playing audio by play under sound daemons like arts or esd
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: sox (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
: 139014 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 10:07 EST by Andy Shevchenko
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-29 08:41:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for described issue (1.12 KB, patch)
2004-11-12 10:08 EST, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Andy Shevchenko 2004-11-12 10:07:18 EST
Description of problem:
Play command can not playing audio under sound daemons due to device 
busy.

Version-Release number of selected component (if applicable):
sox form FC2 official updates.

How reproducible:
Start esd or arts and try to play something like next:
play /path/to/audio.wav

Actual results:
Play waiting for device free (up to infinity?).

Expected results:
Playing sounds.

Additional info:
See attached patch for correct the problem. As we know any sound 
daemon contains its own play-like command. We can choose play depend 
on running daemon.
Comment 1 Andy Shevchenko 2004-11-12 10:08:59 EST
Created attachment 106569 [details]
patch for described issue
Comment 2 Thomas Woerner 2004-11-16 11:16:11 EST
*** Bug 139014 has been marked as a duplicate of this bug. ***
Comment 3 Matthew Miller 2005-04-26 12:33:21 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Thomas Woerner 2005-11-29 08:41:01 EST
It would be better to get a arts and esd output plugin for sox.

I am marking this as DEFFERED upstraem.

Note You need to log in before you can comment on or make changes to this bug.